%define	name	games-compat
%define	version 0.3
%define	release	%mkrel 4

Name:		%{name} 
Summary:	Provides compatibility with binary Linux games
Version:	%{version} 
Release:	%{release}
URL:		http://mandriva.com/
Group:		Games/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildArch:	noarch
Requires:	openssl-devel openal SDL-devel libpng libstdc++6 libstdc++5 libstdc++2.10

%description
This package provides and depends upon libraries that is used in
many commercial Linux games. If you are having problems running some
commercial games, you should install this package.

In addition to depending upon libraries used in many games
games-compat is known to fix:
- games bought from Garage Games
- games from ChronicLogic
- Raptor: Call of the shadows
- Bunnies
- ...and may fix other games

I also recommend that you install the loki_update package which
allows you to keep up to date with the latest patches for your
games.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
ln -s libcrypto.so $RPM_BUILD_ROOT%{_libdir}/libcrypto.so.2
ln -s libssl.so $RPM_BUILD_ROOT%{_libdir}/libssl.so.2
ln -s libSDL.so $RPM_BUILD_ROOT%{_libdir}/libSDL-1.1.so.0
ln -s libpng.so $RPM_BUILD_ROOT%{_libdir}/libpng.so.2
export DONT_SYMLINK_LIBS=1

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_libdir}/*

%changelog
* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3-4mdk
- I really should check twice, _really_ drop libstdc++-libc6.2-2.so.3

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3-3mdk
- Drop libstdc++-libc6.2-2.so.3 as it conflicts with libstdc++2.10
  (thanks Luiz Alberto Saba)
- Add requires on libstdc++2.10

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3-2mdk
- Added requires on libstdc++5 and openssl-devel

* Mon Jun 13 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3-1mdk
- Added fix for Mutant Storm (libstdc++.so.6 -> libstdc++-libc6.2-2.so.3)

* Sat May 21 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2-2mdk
- Now requires SDL-devel (which provides libSDL.so)

* Thu May 12 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2-1mdk
- Added fix for Bunnies (libpng.so -> libpng.so.2)

* Mon Apr 11 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1-2mdk
- Fixed links (and yes I know the date below is wrong)

* Tue Mar 22 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1-1mdk
- Initial Mandriva Linux package
